package fel.kte.pkropik.it;

public class Slon extends Savec {
    private double delkaChobotu = 0.0;        // délka chobotu [m]

    public Slon() {
        // jen inicializace výše a automatické volání Savec()
    }

    public Slon(int vyska, String jmeno, int dobaBrezosti, double delkaChobotu) throws ZapornaHodnotaVyjimka {
        super(vyska, jmeno, dobaBrezosti);
        setDelkaChobotu(delkaChobotu);
    }

    public double getDelkaChobotu() {
        return delkaChobotu;
    }

    public final void setDelkaChobotu(double delkaChobotu) throws ZapornaHodnotaVyjimka {
        if (delkaChobotu < 0.0) {
            throw new ZapornaHodnotaVyjimka("Pokus o nastavení hodnoty: " + delkaChobotu);
        }
        else {
            this.delkaChobotu = delkaChobotu;
        }
    }

    @Override
    public String toString() {
        return super.toString() + String.format(", délka chobotu: %.2f", getDelkaChobotu());
    }
}
