package fel.kte.pkropik.it;

public class Zebra extends Savec {
    private double pocetPruhu = 0.0;        // pruhů na metr

    public Zebra() {
        // jen inicializace výše a automatické volání Savec()
    }

    public Zebra(int vyska, String jmeno, int dobaBrezosti, double pocetPruhu) throws ZapornaHodnotaVyjimka {
        super(vyska, jmeno, dobaBrezosti);
        setPocetPruhu(pocetPruhu);
    }

    public double getPocetPruhu() {
        return pocetPruhu;
    }

    public final void setPocetPruhu(double pocetPruhu) throws ZapornaHodnotaVyjimka {
        if (pocetPruhu < 0.0) {
            throw new ZapornaHodnotaVyjimka("Pokus o nastavení hodnoty: " + pocetPruhu);
        }
        else {
            this.pocetPruhu = pocetPruhu;
        }
    }

    @Override
    public String toString() {
        return super.toString() + String.format(", počet pruhů / m: %.2f", getPocetPruhu());
    }
}
